Bug 1026278 (CVE-2013-4510) - CVE-2013-4510 tryton: input sanitization flaw
Summary: CVE-2013-4510 tryton: input sanitization flaw
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2013-4510
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1026280 1026281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-04 10:36 UTC by Murray McAllister
Modified: 2019-09-29 13:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:30:50 UTC


Attachments (Terms of Use)

Description Murray McAllister 2013-11-04 10:36:42 UTC
It was found that Tryton did not sanitize file extensions provided from the Tryton server. A malicious server could use this flaw to write to files accessible to the user running the Tryton client. A patch is available from the following:

http://hg.tryton.org/tryton/rev/357d0a4d9cb8

References:
http://lists.debian.org/debian-security-announce/2013/msg00203.html
https://bugs.tryton.org/issue3446

Comment 1 Murray McAllister 2013-11-04 10:38:08 UTC
Created tryton tracking bugs for this issue:

Affects: fedora-all [bug 1026280]
Affects: epel-all [bug 1026281]

Comment 2 Murray McAllister 2013-11-04 10:45:52 UTC
possible CVE request:

http://www.openwall.com/lists/oss-security/2013/11/04/1

Comment 4 Product Security DevOps Team 2019-06-08 02:30:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.